from django.urls import path
from . import views

app_name = 'im'
urlpatterns = [
    path('', views.index, name='index'),
    path('items/<pk>', views.PantryItemLineView.as_view(), name='pantryitemlinedetail'),
    path('consume/', views.ConsumeList.as_view(), name='consumelist'),
    path('consume/<pk>/', views.Consume.as_view(), name='consume'),
    path('shoppinglist/', views.Shoppinglist.as_view(), name='shoppinglist'),
    path('expirations/', views.Expirations.as_view(), name='expirations'),
    path('units/', views.UnitView.as_view(), name='units'),
    path('additemline/', views.PantryItemLineCreateView.as_view(), name='additemline'),
    path('additem/', views.PantryItemCreateView.as_view(), name='additem'),
    path('addcategory/', views.CategoryCreateView.as_view(), name='addcategory'),
    path('addlocation/', views.LocationCreateView.as_view(), name='addlocation'),
]
